<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="Section004">
    
    <xsl:if test="$MajorVersion &gt;= 7">
	
	  <xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAutomaticAppUpdates'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowAutomaticAppUpdates" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
	  </xsl:if>
	  <xsl:if test="$MajorVersion &gt;= 11">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAutomaticAppUpdates2'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowAutomaticAppUpdates2" />
        <xsl:with-param name="value">
          <xsl:call-template name="AppUpdate">
            <xsl:with-param name="value" select="/RESULT/allowAutomaticAppUpdates2"/>
          </xsl:call-template>
        </xsl:with-param>
		<xsl:with-param name="mastervalue">
          <xsl:call-template name="AppUpdate">
            <xsl:with-param name="value" select="/RESULT/allowAutomaticAppUpdates2/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      </xsl:if>
	  
      <xsl:for-each select="/RESULT/KeepAppsUpToDateAppList/Item">
        <xsl:sort select="cs:GetAppName(App, /RESULT/DeviceClass, /RESULT/Applications)"/>
        <!--並び替え前の位置を取得-->
        <xsl:variable name="id" select="App"/>
        <xsl:variable name="pos" select="count(/RESULT/KeepAppsUpToDateAppList/Item[./App = $id]/preceding-sibling::*)+1"/>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('KeepAppsUpToDateAppList/Item_', $pos, '/Value')" />
          <xsl:with-param name="title3">
            <xsl:if test="App = ''">
              <xsl:call-template name="GetAppName">
                <xsl:with-param name="appID" select="App/@master"/>
                <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="App"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Value" />
          <xsl:with-param name="template" select="'OnOff'" />
        </xsl:call-template>
      </xsl:for-each>
    </xsl:if>

    <xsl:if test="$MajorVersion &lt;= 9">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'maxInactivity'" />
        <xsl:with-param name="title2" select="'自動ロック'" />
        <xsl:with-param name="valueNode" select="/RESULT/maxInactivity" />
        <xsl:with-param name="template" select="'maxInactivity'"/>
      </xsl:call-template>
    </xsl:if>
    
  </xsl:template>

</xsl:stylesheet>