<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionMail">

  <xsl:for-each select="/RESULT/Mail/ReceiveAccounts/Account">

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Class')" />
      <xsl:with-param name="title1">
        <xsl:if test="position() = 1">
          <xsl:text>メール</xsl:text><xsl:if test="$MajorVersion &lt; 10">
            <xsl:text>/連絡先/カレンダー</xsl:text>
          </xsl:if>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2">
        <xsl:text>アカウント</xsl:text><xsl:value-of select="position()"/>
      </xsl:with-param>
      <xsl:with-param name="title3" select="'種類'" />
      <xsl:with-param name="valueNode" select="Class" />
      <xsl:with-param name="value">
        <xsl:call-template name="AccountType">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="host" select="ASAccountHost"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="AccountType">
          <xsl:with-param name="class" select="Class/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    

        <xsl:if test="Class != 'ASAccount' or FullUserName/@match or FullUserName/@unique">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/FullUserName')" />
            <xsl:with-param name="title3" select="'名前'" />
            <xsl:with-param name="valueNode" select="FullUserName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
          
        </xsl:if>
       
        <xsl:if test="Class = 'ASAccount' or ASAccountEmailAddress/@match or ASAccountEmailAddress/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountEmailAddress')" />
            <xsl:with-param name="title3" select="'メール'" />
            <xsl:with-param name="valueNode" select="ASAccountEmailAddress" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="Class = 'IMAPAccount' or Class = 'POPAccount' or Class = 'CastleIMAPAccount' or EmailAddresses/@match or EmailAddresses/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/EmailAddresses')" />
            <xsl:with-param name="title3" select="'メール'" />
            <xsl:with-param name="valueNode" select="EmailAddresses" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="Class = 'YahooAccount' or Class = 'GmailAccount' or Username/@match">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Username')" />
            <xsl:with-param name="title3" select="'メール'" />
            <xsl:with-param name="valueNode" select="Username" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="(Class = 'ASAccount' and ASAccountEmailAddress and ASAccountUsername and ASAccountEmailAddress != ASAccountUsername) or ASAccountHost/@match or ASAccountHost/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountHost')" />
            <xsl:with-param name="title3" select="'サーバ'" />
            <xsl:with-param name="valueNode" select="ASAccountHost" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="(Class = 'ASAccount' and ASAccountEmailAddress and ASAccountUsername and ASAccountEmailAddress != ASAccountUsername) or ASAccountUsernameDomain/@match or ASAccountUsernameDomain/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUsernameDomain')" />
            <xsl:with-param name="title3" select="'ドメイン'" />
            <xsl:with-param name="valueNode" select="ASAccountUsernameDomain" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="(Class = 'ASAccount' and ASAccountEmailAddress and ASAccountUsername and ASAccountEmailAddress != ASAccountUsername) or ASAccountUsernameUsername/@match or ASAccountUsernameUsername/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUsernameUsername')" />
            <xsl:with-param name="title3" select="'ユーザ名'" />
            <xsl:with-param name="valueNode" select="ASAccountUsernameUsername" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class != 'CastleIMAPAccount' or DisplayName/@match or DisplayName/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DisplayName')" />
            <xsl:with-param name="title3" select="'説明'" />
            <xsl:with-param name="valueNode" select="DisplayName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class = 'IMAPAccount' or Class = 'POPAccount' or Hostname/@match or Hostname/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Hostname')" />
            <xsl:with-param name="title3" select="'ホスト名'" />
            <xsl:with-param name="valueNode" select="Hostname" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="Class = 'IMAPAccount' or Class = 'POPAccount' or Username/@match or Username/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Username')" />
            <xsl:with-param name="title3" select="'ユーザ名'" />
            <xsl:with-param name="valueNode" select="Username" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or Class = 'YahooAccount' or SMTPIdentifier/@match or SMTPIdentifier/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPIdentifier')" />
            <xsl:with-param name="title3" select="'送信メールサーバ'" />
            <xsl:with-param name="title4" select="'プライマリサーバ'" />
            <xsl:with-param name="valueNode" select="SMTPIdentifier" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
    
    <xsl:if test="Class = 'CastleIMAPAccount' or SMTPDisabled/@match or SMTPDisabled/@unique">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPDisabled')" />
        <xsl:with-param name="title3" select="'送信メールサーバ'" />
        <xsl:with-param name="title4" select="'プライマリサーバ'" />
        <xsl:with-param name="title5" select="'iCloud SMTPサーバ'" />
        <xsl:with-param name="valueNode" select="SMTPDisabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="falseOndefaultOn" >
            <xsl:with-param name="bool" select="SMTPDisabled"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name="falseOndefaultOn" >
            <xsl:with-param name="bool" select="SMTPDisabled/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      
    </xsl:if>

      <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or Class = 'YahooAccount' or SMTPAlternateIdentifiers/@match  or SMTPAlternateIdentifiers/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPAlternateIdentifiers')" />
            <xsl:with-param name="title4" select="'ほかのSMTPサーバ'" />
            <xsl:with-param name="valueNode" select="SMTPAlternateIdentifiers" />
            <xsl:with-param name="value">
              <xsl:choose>
                <xsl:when test="SMTPAlternateIdentifiers = ''">
                  <xsl:text>なし</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers,';')" disable-output-escaping="yes"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:choose>
                <xsl:when test="SMTPAlternateIdentifiers/@master">
                  <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers/@master,';')" disable-output-escaping="yes"/>
                </xsl:when>
              </xsl:choose>
            </xsl:with-param>
          </xsl:call-template>

        </xsl:if>

        <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount' or StoreDraftsOnServer/@match">
          <!--<xsl:if test="StoreDraftsOnServer">  -->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreDraftsOnServer')" />
            <xsl:with-param name="title3" select="'下書きメールボックス'" />
            <xsl:with-param name="title4" select="'場所'" />
            <xsl:with-param name="valueNode" select="StoreDraftsOnServer" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreDraftsOnServer"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreDraftsOnServer/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <!--<xsl:if test="DraftsMailboxName">-->
        <xsl:if test="(StoreDraftsOnServer = 'true' and ( Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount')) or DraftsMailboxName/@match or DraftsMailboxName/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DraftsMailboxName')" />
            <xsl:with-param name="title4" select="'下書きメールボックス名'" />
            <xsl:with-param name="valueNode" select="DraftsMailboxName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount' or StoreSentMessagesOnServer/@match">
          <!--<xsl:if test="StoreSentMessagesOnServer">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreSentMessagesOnServer')" />
            <xsl:with-param name="title3" select="'送信済メールボックス'" />
            <xsl:with-param name="title4" select="'場所'" />
            <xsl:with-param name="valueNode" select="StoreSentMessagesOnServer" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreSentMessagesOnServer/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>

        </xsl:if>
        <xsl:if test="(StoreSentMessagesOnServer = 'true' and ( StoreDraftsOnServer = 'true' or Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount' )) or SentMessagesMailboxName/@match or SentMessagesMailboxName/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SentMessagesMailboxName')" />
            <xsl:with-param name="title4" select="'送信済メールボックス名'" />
            <xsl:with-param name="valueNode" select="SentMessagesMailboxName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>


        <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount' or StoreTrashOnServer/@match">
          <!--<xsl:if test="StoreTrashOnServer">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreTrashOnServer')" />
            <xsl:with-param name="title3" select="'削除済メールボックス'" />
            <xsl:with-param name="title4" select="'場所'" />
            <xsl:with-param name="valueNode" select="StoreTrashOnServer" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreTrashOnServer"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreTrashOnServer/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>

        </xsl:if>
        <xsl:if test="(StoreTrashOnServer = 'true' and ( Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'YahooAccount')) or TrashMailboxName/@match or TrashMailboxName/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/TrashMailboxName')" />
            <xsl:with-param name="title4" select="'削除済メールボックス名'" />
            <xsl:with-param name="valueNode" select="TrashMailboxName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

    <xsl:if test="Class = 'CastleIMAPAccount' or StoreArchiveOnServer/@match">
      <!--<xsl:if test="StoreArchiveOnServer">  -->
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreArchiveOnServer')" />
        <xsl:with-param name="title3" select="'アーカイブメールボックス'" />
        <xsl:with-param name="title4" select="'場所'" />
        <xsl:with-param name="valueNode" select="StoreArchiveOnServer" />
        <xsl:with-param name="value">
          <xsl:call-template name="MailBoxPlace">
            <xsl:with-param name="value" select="StoreArchiveOnServer"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name="MailBoxPlace">
            <xsl:with-param name="value" select="StoreArchiveOnServer/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    
    <xsl:if test="Class = 'CastleIMAPAccount' or Class/@master = 'CastleIMAPAccount'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ArchiveMessages')" />
        <xsl:with-param name="title3" select="'削除したメッセージの移動先'" />
        <xsl:with-param name="valueNode" select="ArchiveMessages" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="ArchiveMessages = 'true'">
              <xsl:text>アーカイブメールボックス</xsl:text>
            </xsl:when>
            <xsl:when test="ArchiveMessages = 'false'">
              <xsl:text>削除済みメールボックス</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:choose>
            <xsl:when test="ArchiveMessages/@master = 'true'">
              <xsl:text>アーカイブメールボックス</xsl:text>
            </xsl:when>
            <xsl:when test="ArchiveMessages/@master = 'false'">
              <xsl:text>削除済みメールボックス</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

        <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or Class = 'YahooAccount' or NumberOfDaysToKeepTrash/@match">
          <!--<xsl:if test="NumberOfDaysToKeepTrash">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/NumberOfDaysToKeepTrash')" />
            <xsl:with-param name="title3" select="'削除したメッセージ'" />
            <xsl:with-param name="title4" select="'削除'" />
            <xsl:with-param name="valueNode" select="NumberOfDaysToKeepTrash" />
            <xsl:with-param name="value">
              <xsl:if test="@empty != 'true' or not(@empty)">
                <xsl:call-template name="days2">
                  <xsl:with-param name="day" select="NumberOfDaysToKeepTrash"/>
                </xsl:call-template>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="days2">
                <xsl:with-param name="day" select="NumberOfDaysToKeepTrash/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>
          
        </xsl:if>

        <xsl:if test=" (Class = 'ASAccount' and ASAccountEmailAddress and ASAccountUsername and ASAccountEmailAddress != ASAccountUsername) or ASAccountUseSSL/@match">
          <!--<xsl:if test="ASAccountUseSSL">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUseSSL')" />
            <xsl:with-param name="title3" select="'SSLを使用'" />
            <xsl:with-param name="valueNode" select="ASAccountUseSSL" />
            <xsl:with-param name="template" select="'defaultOff'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or SSLEnabled/@match">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SSLEnabled')" />
            <xsl:with-param name="title3" select="'SSLを使用'" />
            <xsl:with-param name="valueNode" select="SSLEnabled" />
            <xsl:with-param name="template" select="'defaultOff'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="(Class = 'ASAccount' and ASAccountHost != 'm.hotmail.com') or (Class/@master = 'ASAccount' and ASAccountHost/@master != 'm.hotmail.com')">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ArchiveMessages')" />
            <xsl:with-param name="title3" select="'削除したメッセージの移動先'" />
            <xsl:with-param name="valueNode" select="ArchiveMessages" />
            <xsl:with-param name="value">
              <xsl:call-template name="ArchiveMessages">
                <xsl:with-param name="value" select="ArchiveMessages"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="ArchiveMessages">
                <xsl:with-param name="value" select="ArchiveMessages/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>
          
        </xsl:if>

        <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or AuthenticationScheme/@match">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/AuthenticationScheme')" />
            <xsl:with-param name="title3" select="'認証'" />
            <xsl:with-param name="valueNode" select="AuthenticationScheme" />
            <xsl:with-param name="value">
              <xsl:call-template name="AuthenticationScheme" >
                <xsl:with-param name="scheme" select="AuthenticationScheme/text()"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="AuthenticationScheme/@master">
                <xsl:call-template name="AuthenticationScheme" >
                  <xsl:with-param name="scheme" select="AuthenticationScheme/@master"/>
                </xsl:call-template>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
          
        </xsl:if>

        <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or ServerPathPrefix/@match or ServerPathPrefix/@unique">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ServerPathPrefix')" />
            <xsl:with-param name="title3" select="'IMAPパス接頭辞'" />
            <xsl:with-param name="valueNode" select="ServerPathPrefix" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="Class = 'POPAccount' or DeletionPolicy/@match">
          <!--<xsl:if test="DeletionPolicy">-->

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DeletionPolicy')" />
            <xsl:with-param name="title3" select="'サーバから削除'" />
            <xsl:with-param name="value">
              <xsl:if test="@empty != 'true' or not(@empty)">
                <xsl:choose>
                  <xsl:when test="DeletionPolicy = 'WhenTransferredOutOfInbox'">
                    <xsl:text>受信ボックスから削除時</xsl:text>
                  </xsl:when>
                  <xsl:when test="DeletionPolicy = 'AfterInterval'">
                    <xsl:text>7日</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:text>しない</xsl:text>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
            <xsl:choose>
                <xsl:when test="DeletionPolicy/@master = 'WhenTransferredOutOfInbox'">
                  <xsl:text>受信ボックスから削除時</xsl:text>
                </xsl:when>
                <xsl:when test="DeletionPolicy/@master = 'AfterInterval'">
                  <xsl:text>7日</xsl:text>
                </xsl:when>
                <xsl:when test="DeletionPolicy/@master">
                  <xsl:text>しない</xsl:text>
                </xsl:when>
                <xsl:otherwise>

                </xsl:otherwise>
              </xsl:choose>
          </xsl:with-param>
          </xsl:call-template>

          
        </xsl:if>

        <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' or PortNumber/@match">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/PortNumber')" />
            <xsl:with-param name="title3" select="'サーバポート'" />
            <xsl:with-param name="valueNode" select="PortNumber" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailPort">
                <xsl:with-param name="class" select="Class"/>
                <xsl:with-param name="port" select="PortNumber"/>
                <xsl:with-param name="ssl" select="SSLEnabled"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:call-template name="MailPort">
                <xsl:with-param name="class" select="Class/@master"/>
                <xsl:with-param name="port" select="PortNumber/@master"/>
                <xsl:with-param name="ssl" select="SSLEnabled/@master"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>
          
        </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMEEnabled')" />
      <xsl:with-param name="title3" select="'S/MIME'" />
      <xsl:with-param name="valueNode" select="SMIMEEnabled" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    
        <xsl:if test="SMIMEEnabled = 'true' or SMIMEEncryptionEnabled/@match">
          <!--<xsl:if test="SMIMEEncryptionEnabled">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMEEncryptionEnabled')" />
            <xsl:with-param name="title4" select="'署名'" />
            <xsl:with-param name="valueNode" select="SMIMEEncryptionEnabled" />
            <xsl:with-param name="template" select="'defaultOff'"/>
            <xsl:with-param name="param1" select="'はい'"/>
            <xsl:with-param name="param2" select="'いいえ'"/>
          </xsl:call-template>
          
        </xsl:if>
        <xsl:if test="SMIMEEnabled = 'true' or SMIMESigningEnabled/@match">
          <!--<xsl:if test="SMIMESigningEnabled">-->
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMESigningEnabled')" />
            <xsl:with-param name="title4" select="'暗号化'" />
            <xsl:with-param name="valueNode" select="SMIMESigningEnabled" />
            <xsl:with-param name="template" select="'defaultOff'"/>
            <xsl:with-param name="param1" select="'はい'"/>
            <xsl:with-param name="param2" select="'いいえ'"/>
          </xsl:call-template>
        </xsl:if>


      </xsl:for-each>

      <xsl:for-each select="Mail/SendAccounts/Account">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/Hostname')" />
          <xsl:with-param name="title2">
            <xsl:text>送信サーバ</xsl:text><xsl:value-of select="position()"/>
          </xsl:with-param>
          <xsl:with-param name="title3" select="'ホスト名'" />
          <xsl:with-param name="valueNode" select="Hostname" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/Username')" />
          <xsl:with-param name="title3" select="'ユーザ名'" />
          <xsl:with-param name="valueNode" select="Username" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/SSLEnabled')" />
          <xsl:with-param name="title3" select="'SSLを使用'" />
          <xsl:with-param name="valueNode" select="SSLEnabled" />
          <xsl:with-param name="template" select="'defaultOff'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/AuthenticationScheme')" />
          <xsl:with-param name="title3" select="'認証'" />
          <xsl:with-param name="valueNode" select="AuthenticationScheme" />
          <xsl:with-param name="value">
            <xsl:if test="@empty != 'true' or not(@empty)">
              <xsl:call-template name="AuthenticationScheme" >
                <xsl:with-param name="scheme" select="AuthenticationScheme"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="AuthenticationScheme/@master">
              <xsl:call-template name="AuthenticationScheme" >
                <xsl:with-param name="scheme" select="AuthenticationScheme/@master"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/PortNumber')" />
          <xsl:with-param name="title3" select="'サーバポート'" />
          <xsl:with-param name="valueNode" select="PortNumber" />
          <xsl:with-param name="value">
            <xsl:call-template name="MailPort">
              <xsl:with-param name="class" select="Class"/>
              <xsl:with-param name="port" select="PortNumber"/>
              <xsl:with-param name="ssl" select="SSLEnabled"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="PortNumber/@master">
              <xsl:call-template name="MailPort">
                <xsl:with-param name="class" select="Class/@master"/>
                <xsl:with-param name="port" select="PortNumber/@master"/>
                <xsl:with-param name="ssl" select="SSLEnabled/@master"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>
        
      </xsl:for-each>




      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DeviceSpecificIdentifier'" />
        <xsl:with-param name="title1">
          <xsl:if test="not(/RESULT/Mail/ReceiveAccounts/Account) and not(/RESULT/Mail/SendAccounts/Account)">
            <xsl:text>メール</xsl:text><xsl:if test="$MajorVersion &lt; 10">
            <xsl:text>/連絡先/カレンダー</xsl:text>
          </xsl:if>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title2" select="'ExchangeデバイスID'" />
        <xsl:with-param name="valueNode" select="/RESULT/Mail/DeviceSpecificIdentifier" />
        <xsl:with-param name="template" select="'text'"/>
      </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/PCEnablePush'" />
      <xsl:with-param name="title2" select="'データの取得方法'" />
      <xsl:with-param name="title3" select="'プッシュ'" />
      <xsl:with-param name="valueNode" select="Mail/PCEnablePush" />
      <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/PCDefaultPollInterval'" />
      <xsl:with-param name="title3" select="'フェッチ'" />
      <xsl:with-param name="valueNode" select="Mail/PCDefaultPollInterval" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="Mail/PCDefaultPollInterval = ''">
            <xsl:text>手動</xsl:text>
          </xsl:when>
          <xsl:when test="Mail/PCDefaultPollInterval = '-1'">
            <xsl:text>手動</xsl:text>
          </xsl:when>
          <xsl:when test="not(Mail/PCDefaultPollInterval)">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="Second2Time" >
              <xsl:with-param name="second" select="Mail/PCDefaultPollInterval"/>
            </xsl:call-template><xsl:text>ごと</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:choose>
          <xsl:when test="Mail/PCDefaultPollInterval/@master = ''">
            <xsl:text>手動</xsl:text>
          </xsl:when>
          <xsl:when test="Mail/PCDefaultPollInterval/@master = '-1'">
            <xsl:text>手動</xsl:text>
          </xsl:when>
          <xsl:when test="not(Mail/PCDefaultPollInterval/@master)">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="Second2Time" >
              <xsl:with-param name="second" select="Mail/PCDefaultPollInterval/@master"/>
            </xsl:call-template>
            <xsl:text>ごと</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>


	<xsl:if test="$MajorVersion &lt;= 9">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/RecentMessageCount'" />
      <xsl:with-param name="title2" select="'メッセージリスト'" />
      <xsl:with-param name="title3" select="'表示'" />
      <xsl:with-param name="valueNode" select="Mail/RecentMessageCount" />
      <xsl:with-param name="template" select="'specifiedefSuffix'"/>
      <xsl:with-param name="param1" select="50"/>
      <xsl:with-param name="param2" select="'件のメッセージ履歴'"/>
    </xsl:call-template>
	</xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/LinesOfPreview'" />
	  <xsl:with-param name="title2">
	    <xsl:if test="$MajorVersion &gt;= 10">
	      <xsl:text>メッセージリスト</xsl:text>
	    </xsl:if>
	  </xsl:with-param>
      <xsl:with-param name="title3" select="'プレビュー'" />
      <xsl:with-param name="valueNode" select="Mail/LinesOfPreview" />
      <xsl:with-param name="template" select="'specifiedefSuffix'"/>
      <xsl:with-param name="param1" select="2"/>
      <xsl:with-param name="param2" select="'行'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ShowToCCIndicators'" />
      <xsl:with-param name="title3" select="'TO/CCラベルを表示'" />
      <xsl:with-param name="valueNode" select="Mail/ShowToCCIndicators" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/RightEdgeSwipeAction'" />
      <xsl:with-param name="title3" select="'スワイプオプション'" />
      <xsl:with-param name="title4" select="'左にスワイプ'" />
      <xsl:with-param name="valueNode" select="Mail/RightEdgeSwipeAction" />
      <xsl:with-param name="value">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/RESULT/Mail/RightEdgeSwipeAction"/>
		  <xsl:with-param name="dir" select="'left'"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/RESULT/Mail/RightEdgeSwipeAction/@master"/>
		  <xsl:with-param name="dir" select="'left'"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/LeftEdgeSwipeAction'" />
      <xsl:with-param name="title4" select="'右にスワイプ'" />
      <xsl:with-param name="valueNode" select="Mail/LeftEdgeSwipeAction" />
      <xsl:with-param name="value">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/RESULT/Mail/LeftEdgeSwipeAction"/>
		  <xsl:with-param name="dir" select="'right'"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/RESULT/Mail/LeftEdgeSwipeAction/@master"/>
		  <xsl:with-param name="dir" select="'right'"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/FlagStyle'" />
      <xsl:with-param name="title3" select="'フラグのスタイル'" />
      <xsl:with-param name="valueNode" select="Mail/FlagStyle" />
      <xsl:with-param name="value">
        <xsl:call-template name="FlagStyle">
          <xsl:with-param name="value" select="/RESULT/Mail/FlagStyle"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="FlagStyle">
          <xsl:with-param name="value" select="/RESULT/Mail/FlagStyle/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ShowMessageDeleteConfirmation'" />
      <xsl:with-param name="title2" select="'メッセージ'" />
      <xsl:with-param name="title3" select="'削除前に確認'" />
      <xsl:with-param name="valueNode" select="Mail/ShowMessageDeleteConfirmation" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/BlockRemoteImages'" />
      <xsl:with-param name="title3" select="'サーバ上の画像を読み込む'" />
      <xsl:with-param name="valueNode" select="Mail/BlockRemoteImages" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/RESULT/Mail/BlockRemoteImages" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/RESULT/Mail/BlockRemoteImages/@master" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DisableThreading'" />
      <xsl:with-param name="title2" select="'スレッド'" />
      <xsl:with-param name="title3" select="'スレッドにまとめる'" />
      <xsl:with-param name="valueNode" select="Mail/DisableThreading" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/RESULT/Mail/DisableThreading" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/RESULT/Mail/DisableThreading/@master" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

	<xsl:if test="$MajorVersion &gt;= 11">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/CollapseReadConversationMessages'" />
      <xsl:with-param name="title3" select="'開封メッセージを閉じる'" />
      <xsl:with-param name="valueNode" select="Mail/CollapseReadConversationMessages" />
      <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	</xsl:if>
	
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ConversationViewShowsNewestAtTop'" />
      <xsl:with-param name="title3" select="'最新のメッセージを一番上へ'" />
      <xsl:with-param name="valueNode" select="Mail/ConversationViewShowsNewestAtTop" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ConversationViewExcludesRelatedMessages'" />
      <xsl:with-param name="title3" select="'スレッドを全部そろえる'" />
      <xsl:with-param name="valueNode" select="Mail/ConversationViewExcludesRelatedMessages" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param name="bool" select="Mail/ConversationViewExcludesRelatedMessages"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param name="bool" select="Mail/ConversationViewExcludesRelatedMessages"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ReplyToSelf'" />
      <xsl:with-param name="title2" select="'作成'" />
      <xsl:with-param name="title3" select="'常にBccに自分を追加'" />
      <xsl:with-param name="valueNode" select="Mail/ReplyToSelf" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/managedEmailDomains'" />
      <xsl:with-param name="title3" select="'アドレスをマーク'" />
      <xsl:with-param name="valueNode" select="Mail/managedEmailDomains" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="Mail/managedEmailDomains = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Mail/managedEmailDomains"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:choose>
          <xsl:when test="Mail/managedEmailDomains/@master = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Mail/managedEmailDomains/@master"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DisableQuoteIncrease'" />
      <xsl:with-param name="title3" select="'引用のマークを増やす'" />
      <xsl:with-param name="valueNode" select="Mail/DisableQuoteIncrease" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="Mail/DisableQuoteIncrease" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="Mail/DisableQuoteIncrease/@master" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/UseAccountSignatures'" />
      <xsl:with-param name="title3" select="'署名'" />
      <xsl:with-param name="valueNode" select="Mail/UseAccountSignatures" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="Mail/UseAccountSignatures = 'true'">
            <xsl:text>アカウントごと</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>すべてのアカウント</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:choose>
          <xsl:when test="not(Mail/UseAccountSignatures/@master)">

          </xsl:when>
          <xsl:when test="Mail/UseAccountSignatures/@master = 'true'">
            <xsl:text>アカウントごと</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>すべてのアカウント</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

      <!--xsl:if test="Mail/UseAccountSignatures != 'true'"-->
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/SignatureKey'" />
      <xsl:with-param name="title4" select="'すべてのアカウント'" />
      <xsl:with-param name="valueNode" select="Mail/SignatureKey" />
      <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="Mail/SignatureKey = ''">
              <xsl:value-of select="DeviceClass"/>
              <xsl:text>から送信</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="Mail/SignatureKey"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:choose>
            <xsl:when test="Mail/SignatureKey/@master = ''">
              <xsl:value-of select="DeviceClass/@master"/><xsl:text>から送信</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="Mail/SignatureKey/@master"/>
            </xsl:otherwise>
          </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
      <!--/xsl:if-->
      <!--<xsl:if test="Mail/UseAccountSignatures = 'true'">-->
      <xsl:for-each select="Mail/ReceiveAccounts/Account">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/CustomSignature')" />
          <xsl:with-param name="title4">
            <xsl:choose>
              <xsl:when test="Class = 'CastleIMAPAccount'">
                <xsl:text>iCloud</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="DisplayName"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="CustomSignature" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="CustomSignature = ''">
                <xsl:choose>
                  <xsl:when test="/RESULT/Mail/SignatureKey = ''">
                    <xsl:value-of select="/RESULT/DeviceClass"/><xsl:text>から送信</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="/RESULT/Mail/SignatureKey"/>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="CustomSignature"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:choose>
              <xsl:when test="CustomSignature/@master = ''">
                <xsl:value-of select="/RESULT/DeviceClass/@master"/><xsl:text>から送信</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="CustomSignature/@master"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>
        
      </xsl:for-each>
      <!-- </xsl:if>-->

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DefaultSendingAccount'" />
      <xsl:with-param name="title3" select="'デフォルトアカウント'" />
      <xsl:with-param name="valueNode" select="Mail/DefaultSendingAccount" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/Mail/DefaultSendingAccount != ''">
            <xsl:value-of select="/Root/Mail/DefaultSendingAccount"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/Mail/ReceiveAccounts/Account[1]/DisplayName"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:value-of select="Mail/DefaultSendingAccount/@master"/>
      </xsl:with-param>
    </xsl:call-template>


    </xsl:template>

</xsl:stylesheet>