<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                 xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionSiri">
    
    <xsl:if test="$MajorVersion &gt;= 7">

      <xsl:variable name="AssistantEnabled">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistantEnabled'" />
        <xsl:with-param name="title1">
          <xsl:if test="$MajorVersion = 10">
            <xsl:text>Siri</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title2" >
          <xsl:if test="$MajorVersion &lt; 10">
            <xsl:text>Siri</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/AssistantEnabled" />
        <xsl:with-param name="template" select="'defaultOff'" />
      </xsl:call-template>
      </xsl:variable>

	  <xsl:variable name="HomeButtonAssistant">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'HomeButtonAssistant'" />
          <xsl:with-param name="title2" >
            <xsl:text>ホームボタンを押してSiriを使用</xsl:text>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/HomeButtonAssistant" />
          <xsl:with-param name="template" select="'defaultOff'" />
        </xsl:call-template>
      </xsl:variable>
	  
      <xsl:variable name="VoiceTriggerEnabled">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'VoiceTriggerEnabled'" />
          <xsl:with-param name="title1">
            <xsl:if test="$MajorVersion &gt;= 11">
              <xsl:text>Siriと検索</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title2">
            <xsl:if test="$MajorVersion = 10">
              <xsl:text>”Hey Siri”を許可</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &gt;= 11">
              <xsl:text>”Hey Siri”を聞き取る</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title3" >
            <xsl:if test="$MajorVersion &lt; 10">
              <xsl:text>”Hey Siri”を許可</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/VoiceTriggerEnabled" />
          <xsl:with-param name="template" select="'defaultOff'" />
        </xsl:call-template>
      </xsl:variable>

      <xsl:if test="$MajorVersion &lt;= 10">
        <xsl:copy-of select="$AssistantEnabled"/>
      </xsl:if>
      <xsl:if test="$MajorVersion &gt;= 11">
        <xsl:copy-of select="$VoiceTriggerEnabled"/>
        <xsl:copy-of select="$HomeButtonAssistant"/>
      </xsl:if>

      <xsl:if test="/RESULT/AssistantEnabled = 'true'">
        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'allowAssistantWhileLocked'" />
            <xsl:with-param name="title2">
              <xsl:if test="$MajorVersion = 10">
                <xsl:text>ロック画面でのアクセス</xsl:text>
              </xsl:if>
              <xsl:if test="$MajorVersion &gt;= 11">
                <xsl:text>ロック中にSiriを許可</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="/RESULT/allowAssistantWhileLocked" />
            <xsl:with-param name="template" select="'OnOff'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="$MajorVersion &lt;= 10">
          <xsl:copy-of select="$VoiceTriggerEnabled"/>
        </xsl:if>

        <xsl:if test="$MajorVersion &lt;= 7">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'AssistantLanguage'" />
            <xsl:with-param name="title3" select="'言語'" />
            <xsl:with-param name="valueNode" select="/RESULT/AssistantLanguage" />
            <xsl:with-param name="value">
              <xsl:choose>
                <xsl:when test="/RESULT/AssistantLanguage = ''">
                  <xsl:text>日本語</xsl:text>
                </xsl:when>
                <xsl:when test="/RESULT/AssistantLanguage">
                  <xsl:call-template name="language3" >
                    <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage"/>
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>日本語</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/AssistantLanguage/@match">
                <xsl:choose>
                  <xsl:when test="/RESULT/AssistantLanguage/@master = ''">
                    <xsl:text>日本語</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage/@master"/>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="$MajorVersion &gt;= 8">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'AssistantLanguage8'" />
            <xsl:with-param name="title2">
              <xsl:if test="$MajorVersion &gt;= 10">
                <xsl:text>言語</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title3" >
              <xsl:if test="$MajorVersion &lt; 10">
                <xsl:text>言語</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="/RESULT/AssistantLanguage8" />
            <xsl:with-param name="value">
              <xsl:choose>
                <xsl:when test="/RESULT/AssistantLanguage8 = ''">
                  <xsl:text>英語</xsl:text>
                </xsl:when>
                <xsl:when test="/RESULT/AssistantLanguage8">
                  <xsl:call-template name="language3" >
                    <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage8"/>
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>英語</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/AssistantLanguage8/@match">
                <xsl:choose>
                  <xsl:when test="/RESULT/AssistantLanguage8/@master = ''">
                    <xsl:text>英語</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage8/@master"/>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>


        <xsl:if test="$MajorVersion &lt;= 7">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'AssistantGender'" />
            <xsl:with-param name="title3" select="'声の性別'" />
            <xsl:with-param name="valueNode" select="/RESULT/AssistantGender" />
            <xsl:with-param name="value">
              <xsl:call-template name="Gender" >
                <xsl:with-param name="value" select="/RESULT/AssistantGender"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/AssistantGender/@match">
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/RESULT/AssistantGender/@master"/>
                </xsl:call-template>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="$MajorVersion &gt;= 8">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'AssistantGender8'" />
            <xsl:with-param name="title2">
              <xsl:if test="$MajorVersion &gt;= 9">
                <xsl:text>Siriの声</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title3" >
              <xsl:if test="$MajorVersion &lt; 9">
                <xsl:text>声の性別</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="/RESULT/AssistantGender8" />
            <xsl:with-param name="value">
              <xsl:call-template name="Gender" >
                <xsl:with-param name="value" select="/RESULT/AssistantGender8"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/AssistantGender8/@match">
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/RESULT/AssistantGender8/@master"/>
                </xsl:call-template>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>

<xsl:if test="$MajorVersion &lt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'HandsFreeMode'" />
          <xsl:with-param name="title2">
            <xsl:if test="$MajorVersion &gt;= 10">
              <xsl:text>音声フィードバック</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title3" >
            <xsl:if test="$MajorVersion &lt; 10">
              <xsl:text>音声フィードバック</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/HandsFreeMode" />
          <xsl:with-param name="value">
            <xsl:call-template name="HandsFreeMode" >
              <xsl:with-param name="value" select="/RESULT/HandsFreeMode"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="/RESULT/HandsFreeMode/@match">
              <xsl:call-template name="HandsFreeMode" >
                <xsl:with-param name="value" select="/RESULT/HandsFreeMode/@master"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>
</xsl:if>
<xsl:if test="$MajorVersion &gt;= 11">
		  <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'UsedevicespeakerforTTS'" />
          <xsl:with-param name="title2">
            <xsl:text>音声フィードバック</xsl:text>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/UsedevicespeakerforTTS" />
          <xsl:with-param name="value">
            <xsl:call-template name="SiriAudioFeedback" >
              <xsl:with-param name="value" select="/RESULT/UsedevicespeakerforTTS"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="/RESULT/UsedevicespeakerforTTS/@match">
              <xsl:call-template name="SiriAudioFeedback" >
                <xsl:with-param name="value" select="/RESULT/UsedevicespeakerforTTS/@master"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>
</xsl:if>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'AssitantMyInfo'" />
          <xsl:with-param name="title2">
            <xsl:if test="$MajorVersion &gt;= 10">
              <xsl:text>自分の情報</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title3" >
            <xsl:if test="$MajorVersion &lt; 10">
              <xsl:text>自分の情報</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/AssitantMyInfo" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="/RESULT/AssitantMyInfo">
                <xsl:value-of select="/RESULT/AssitantMyInfo"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>なし</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="/RESULT/AssitantMyInfo/@match">
              <xsl:choose>
                <xsl:when test="/RESULT/AssitantMyInfo/@master">
                  <xsl:value-of select="/RESULT/AssitantMyInfo/@master"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>なし</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="/RESULT/DeviceClass = 'iPhone' and $MajorVersion &lt; 8">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'GestureServiceEnabled'" />
            <xsl:with-param name="title3" >
              <xsl:text>耳にあてて話す</xsl:text>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="/RESULT/GestureServiceEnabled" />
            <xsl:with-param name="value">
              <xsl:call-template name="ZeroOffOneOn" >
                <xsl:with-param name="value" select="/RESULT/GestureServiceEnabled"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/GestureServiceEnabled/@match">
                <xsl:call-template name="ZeroOffOneOn" >
                  <xsl:with-param name="value" select="/RESULT/GestureServiceEnabled/@master"/>
                </xsl:call-template>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
    </xsl:if>
    
  </xsl:template>

</xsl:stylesheet>