<?xml version="1.0" encoding="UTF-8"?>
<!--全ての取得情報をエクスポート-->
<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  <xsl:output method="text" media-type="text/plain" encoding="UTF-8" indent="no"/>

  <xsl:variable name="MajorVersion" select="number(substring-before(/Root/ProductVersion, '.'))"/>
  
  <xsl:param name="outputdate"/>
  <xsl:param name="devicename"/>
  <xsl:param name="mastername"/>
  <xsl:param name="modified"/>
  <xsl:param name="created"/>
  <xsl:param name="count"/>

  <xsl:param name="networkCount"/>
  <xsl:param name="contorolcenterCount"/>
  <xsl:param name="spotlightCount"/>
  <xsl:param name="rotorItemCount"/>
  <xsl:param name="langRotorCount"/>
  <xsl:param name="savedGestureCount"/>
  <xsl:param name="customGestureCount"/>
  <xsl:param name="updateappCount"/>
  <xsl:param name="locsvcCount"/>
  <xsl:param name="keyboardCount"/>
  <xsl:param name="languageCount"/>
  <xsl:param name="payloadCount"/>
  <xsl:param name="provCount"/>
  <xsl:param name="iCloudAppCount"/>
  <xsl:param name="recvCount"/>
  <xsl:param name="sendCount"/>
  <xsl:param name="signCount"/>
  <xsl:param name="appCount"/>
  <xsl:param name="bookmarkCount"/>
  
  <xsl:include href="Function.xslt" />

  <xsl:template match="/">
    <xsl:text>マスター設定,</xsl:text>
    <xsl:value-of select="$created"/>,<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="Root">
    <xsl:call-template name="setting"/>
  </xsl:template>

  <xsl:template name="setting">
    <xsl:call-template name ="text">
      <xsl:with-param name="this" select="AppleID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:choose>
      <xsl:when test="/Root/SBRecentDisplays/@rule">[全てのアプリが終了しているかをチェック]</xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/BatteryCapacity/@margin">
      <xsl:value-of select="/Root/BatteryCapacity/@margin"/>
      <xsl:text>%</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:choose>
      <xsl:when test="/Root/DeviceClass = 'iPad'">
        <xsl:call-template name ="Orientation">
          <xsl:with-param name="value" select="/Root/SBLastRotationLockedOrientationiPad"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name ="Orientation">
          <xsl:with-param name="value" select="/Root/SBLastRotationLockedOrientation"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="/Root/AirplaneModeEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="WifiAllowEnable"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:value-of select="/Root/Listofknownnetworks/@compare"/>
    <xsl:choose>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'full'">[完全一致]</xsl:when>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'front'">[前方一致]</xsl:when>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'rear'">[後方一致]</xsl:when>
    </xsl:choose>
    <xsl:text>,</xsl:text>


    <xsl:for-each select="/Root/Networks/Network">
      <xsl:if test="position() &lt;= $networkCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SSID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name ="NetworkConfigMethod">
          <xsl:with-param name="value" select="ConfigMethod"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Addresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SubnetMasks"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Router"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="DNS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ServerAddresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SearchDomains"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DHCPClientID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="ProxyMode"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyAutoConfigURLString"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPProxy"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPPort"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="HTTPProxyAuthenticated"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="HTTPProxyUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$networkCount - count(/Root/Networks/Network)"/>
    </xsl:call-template>

    <xsl:call-template name="strOnOff">
      <xsl:with-param name="value" select="/Root/BTdefaultPoweredState"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:if test="$MajorVersion &lt; 10">
      <xsl:call-template name ="NoticeOrderRule">
        <xsl:with-param name="value" select="/Root/NoticeSectionOrderRule"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name ="ContentPreviewsSetting">
        <xsl:with-param name="value" select="/Root/BBContentPreviewsSetting"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/ControlCenterModuleOrder/string">
      <xsl:if test="position() &lt;= $contorolcenterCount">
        <xsl:call-template name="ControlCenterModule">
          <xsl:with-param name="appID" select="./text()"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:text>,</xsl:text>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$contorolcenterCount - count(ControlCenterModuleOrder/string)"/>
    </xsl:call-template>
    
    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenControlCenter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowControlCenterInApps"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--<xsl:call-template name ="NoticeUnlocked">
      <xsl:with-param name="value" select="/Root/effectiveWhileUnlocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    
    <!--一般　情報-->
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="DeviceName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="Network">
      <xsl:with-param name ="country" select="/Root/MobileSubscriberCountryCode"/>
      <xsl:with-param name ="network" select="/Root/MobileSubscriberNetworkCode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AirplaneModeEnabled = 'false' and /Root/SIMState = 'kCTSIMSupportSIMStatusReady'">
      <xsl:call-template name="Network">
        <xsl:with-param name ="country" select="/Root/MobileSubscriberCountryCode"/>
        <xsl:with-param name ="network" select="/Root/MobileSubscriberNetworkCode"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MusicCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="VideoCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="PhotoCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="AppCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:value-of select="round(DiskCapacity div 1000)"/><xsl:text>GB,</xsl:text>
    <xsl:value-of select="round(DataAvailable div 10) div 100"/><xsl:text>GB,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ProductVersion"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="text">
      <xsl:with-param name="this" select="BuildVersion"/>
    </xsl:call-template><xsl:text>,</xsl:text>

    <xsl:call-template name="NetworkCarrier">
      <xsl:with-param name ="carrier" select="/Root/CarrierBundleName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="CarrierBundleVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ModelNumber"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="text">
      <xsl:with-param name="this" select="SerialNumber"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="text">
      <xsl:with-param name="this" select="PhoneNumber"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="text">
      <xsl:with-param name="this" select="WiFiAddress"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="text">
      <xsl:with-param name="this" select="BluetoothAddress"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:text>"=""</xsl:text>
    <xsl:value-of select="substring(/Root/IMEI,1,2)"/> <xsl:value-of select="substring(/Root/IMEI,3,6)"/> <xsl:value-of select="substring(/Root/IMEI,9,6)"/> <xsl:value-of select="substring(/Root/IMEI,15,1)"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:text>"=""</xsl:text>
    <xsl:value-of select="substring(/Root/ICCID,1,4)"/> <xsl:value-of select="substring(/Root/ICCID,5,4)"/> <xsl:value-of select="substring(/Root/ICCID,9,4)"/> <xsl:value-of select="substring(/Root/ICCID,13,4)"/> <xsl:value-of select="substring(/Root/ICCID,17,3)"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MEID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="BasebandVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="DeviceIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--AirDrop-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/DiscoverableMode"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/DiscoverableMode = 'Contacts Only'">
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/DiscoverableMode = 'Everyone'">
        <xsl:text>すべての人</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/DiscoverableMode = 'Off'">
        <xsl:text>受信しない</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    
    <!--Handoff-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowActivityContinuation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowUninstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--マルチタスク-->
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBMedusaEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBAllowAutoPIP"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBUseSystemGestures"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBRecentsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--アクセシビリティ-->
    <!--VoiceOver-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchEnabled"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchSpeakingRate"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/VoiceOverTouchSpeakingRate"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.3"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchHintsEnabled"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchPitchChangePreference"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverUseSoundEffects"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchPitchCompactVoice"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- スピーチ-->
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[position()=1]/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true']">
      <xsl:variable name="rotorItem" select="RotorItem" />
      <xsl:if test="position() &lt;= $langRotorCount">
        <xsl:call-template name="language">
          <xsl:with-param name="countrycode" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="CompactVoice">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[starts-with(./RotorItem,$rotorItem)]/Enabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/VoiceOverTouchLanguageSpeakingRate/Item[starts-with(./RotorItem,$rotorItem)]/SpeakingRate"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.35"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$langRotorCount - count(/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true'])"/>
    </xsl:call-template>

    <!--点字-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="VoiceOverShowGrade2AutoTranslate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="sign">
    <xsl:with-param name="this" select="BrailleContractionMode"/>
  </xsl:call-template><xsl:call-template name="BrailleContractionMode">
    <xsl:with-param name="value" select="BrailleContractionMode"/>
  </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
    <xsl:with-param name="this" select="VoiceOverShowGrade2AutoTranslate"/>
  </xsl:call-template><xsl:call-template name="defaultOn">
    <xsl:with-param name="value" select="VoiceOverShowGrade2AutoTranslate"/>
  </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:if test="BrailleContractionMode/text() != '0'">
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BrailleEightDotMode" />
    </xsl:call-template></xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BrailleStatus"/>
    </xsl:call-template><xsl:call-template name="BrailleStatus">
      <xsl:with-param name="CellIndex" select="/Root/BrailleStatus/BrailleMasterStatusCellIndex"/>
      <xsl:with-param name="Alignment" select="/Root/BrailleStatus/BrailleVirtualStatusAlignment"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="voiceOverAlwaysUseNemethCodeForMathEnabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="VoiceOverShowSWKeyboardWithBraille" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--ローター-->
    <xsl:for-each select="/Root/VoiceOverTouchRotorItemsPreference/Item">
      <xsl:if test="position() &lt;= $rotorItemCount">
        <xsl:call-template name="TouchRotorItem">
          <xsl:with-param name="item" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="Enabled"></xsl:with-param>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$rotorItemCount - count(/Root/VoiceOverTouchRotorItemsPreference/Item)"/>
    </xsl:call-template>

    <!--入力モード-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:call-template name="TypingMode">
      <xsl:with-param name="value" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:call-template name="Phonetics">
      <xsl:with-param name="value" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="SpeakNotificationInLockScreen8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &lt;= 7">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NavigateImagesPreference"/>
      </xsl:call-template>
      <xsl:call-template name="NavigateImagesPreference">
        <xsl:with-param name="this" select="NavigateImagesPreference"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NavigateImagesPreference8"/>
      </xsl:call-template>
      <xsl:call-template name="NavigateImagesPreference">
        <xsl:with-param name="this" select="NavigateImagesPreference8"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    </xsl:if>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="com.apple.voiceovertouch.cursors.style"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--ズーム機能-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/ZoomShouldFollowFocus"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="falseOndefaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomAlwaysUseWindowZoomForTyping"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomShouldShowSlug"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomOpacity">
      <xsl:with-param name="this" select="/Root/ZoomIdleSlugOpacity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomMode">
      <xsl:with-param name="this" select="/Root/ZoomPreferredLensMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomScale">
      <xsl:with-param name="this" select="/Root/ZoomPreferredMaximumZoomScale"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/InvertColorsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/GrayscaleDisplay"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/QuickSpeak"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SpeakThisEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/QuickSpeakRate8"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/QuickSpeakRate8"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.35"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SpeakCorrectionsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--より大きな文字-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/largeTextUsesExtendedRange"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="UISize">
      <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ButtonShapesEnabled"/>
    </xsl:call-template><xsl:text>,</xsl:text>

    <!--透明度を下げる色を濃くするホワイトポイントを下げる-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedBackgroundContrastEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/DarkenSystemColors"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ReduceWhitePointEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ReduceMotionEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/IncreaseButtonLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/EarpieceNoiseCancellationPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/VisualAlertEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/MonoAudioEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MasterStereoBalance"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/MasterStereoBalance"/>
      <xsl:with-param name="range" select="2"/>
      <xsl:with-param name="default" select="0"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ClosedCaption">
      <xsl:with-param name="value" select="/Root/MACaptionDisplayType"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="MACaptionActiveProfile">
      <xsl:with-param name="value" select="/Root/MACaptionActiveProfile" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--アクセスガイド-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/GuidedAccessEnabled7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/>
    </xsl:call-template>
    <xsl:value-of select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="GuidedAccessSpeakForTimeRestrictionEvent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="kAXSGuidedAccessAXFeaturesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--スイッチコントロール-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- --><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchAutoScanningEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="/Root/AssistiveTouchAutoScanningEnabled = 'true' or /Root/AssistiveTouchAutoScanningEnabled = ''">
        <xsl:choose>
          <xsl:when test="/Root/AssistiveTouchStepInterval = ''">
            <xsl:text>1.0</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="format-number(/Root/AssistiveTouchStepInterval,'0.0#')"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>秒</xsl:text>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchDelayAfterInputEnabledPreference"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/AssistiveTouchDelayAfterInputEnabledPreference = 'true'">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchDelayAfterInputPreference = ''">
              <xsl:text>0.5</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchDelayAfterInputPreference,'0.0#')"/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="/Root/AssistiveTouchScanCyclesPreference = ''">4</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/AssistiveTouchScanCyclesPreference"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerScanTimeoutEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:if test="/Root/AssistiveTouchScannerScanTimeoutEnabled = 'true'">
          <xsl:value-of select="format-number(/Root/AssistiveTouchScannerScanTimeout,'#0')"/>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <!-- 自動タップ-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSelectTimeoutEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AssistiveTouchScannerSelectTimeoutEnabled = 'true'">
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchScannerSelectTimeout = ''">0.75</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchScannerSelectTimeout,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchActionRepeatEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AssistiveTouchActionRepeatEnabledPreference = 'true'">
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchActionRepeatIntervalPreference = ''">0.5</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchActionRepeatIntervalPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--保持継続時間-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchInputHoldEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AssistiveTouchInputHoldEnabledPreference = 'true'">
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchInputHoldDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchInputHoldDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--繰り返しを無視-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchInputCoalescingEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AssistiveTouchInputCoalescingEnabledPreference = 'true'">
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchInputCoalescingDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchInputCoalescingDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--グライドカーソルの速度-->
    <xsl:call-template name="SweepSpeed">
      <xsl:with-param name="value" select="/Root/AssistiveTouchAxisSweepSpeed"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSoundEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSpeechEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/Root/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/AssistiveTouchScannerSpeechEnabled = 'true'">
      <xsl:call-template name="slider4">
        <xsl:with-param name="position" select="/Root/AssistiveTouchScannerSpeechRatePreference"/>
        <xsl:with-param name="range" select="1"/>
        <xsl:with-param name="default" select="0.3"/>
      </xsl:call-template>
    </xsl:if><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeHomeItem"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeScrollItem"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeDeviceItem"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeGesturesItem"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeSettingsItem"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScanShouldGroupElements"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchCursorHighVisibilityPreference"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="CursorColor">
      <xsl:with-param name="value" select="/Root/AssistiveTouchCursorColorPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/AssistiveTouchSavedGestures/*">
      <xsl:if test="position() &lt;= $savedGestureCount">
        <xsl:value-of select="./text()"/>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$savedGestureCount - count(AssistiveTouchSavedGestures/string)"/>
    </xsl:call-template><xsl:call-template name="ZeroOffOneOn">
      <xsl:with-param name="value" select="/Root/AssistiveTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="AssistiveTouchCustomGestures/string">
      <xsl:if test="position() &lt;= $customGestureCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$customGestureCount - count(AssistiveTouchCustomGestures/string)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="HomeClickSpeed"/>
    </xsl:call-template>
    <xsl:call-template name="HomeClickSpeed">
      <xsl:with-param name="this" select="HomeClickSpeed"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="DefaultRouteForCall">
        <xsl:with-param name="value" select="/Root/DefaultRouteForCallPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="TripleClick">
      <xsl:with-param name="value" select="/Root/TripleClickChoice"/>
      <xsl:with-param name="delimiter" select="' '"/>
    </xsl:call-template>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPad'">
      <xsl:call-template name="HardwareSwitch">
        <xsl:with-param name="value" select="/Root/SBUseHardwareSwitchAsOrientationLock"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

	<xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowAutomaticAppUpdates"/>
      </xsl:call-template>
	</xsl:if>
	<xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="AppUpdate">
        <xsl:with-param name="value" select="/Root/allowAutomaticAppUpdates2"/>
      </xsl:call-template>
    </xsl:if>
	<xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/KeepAppsUpToDateAppList/Item">
      <xsl:sort select="cs:GetAppName(App, /Root/DeviceClass, /Root/Applications)"/>
      <xsl:if test="position() &lt;= $updateappCount">
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="App"/>
          <xsl:with-param name="device" select="/Root/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>(</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Value"/>
        </xsl:call-template>
        <xsl:text>),</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$updateappCount - count(KeepAppsUpToDateAppList/Item)"/>
    </xsl:call-template>



    <!--機能制限-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SBParentalControlsEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowSafari"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowCamera"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/allowVideoConferencing and /Root/ModelNumber != 'MC131' and /Root/ModelNumber != 'MC133'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowVideoConferencing"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAssistant"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAirDrop"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowVehicleUI"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowiTunes"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowMusicArtistActivity"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowBookstore"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowPodcasts"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAppInstallation"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAppRemoval"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInAppPurchases"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--コンテンツの許可-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/countryCode"/>
    </xsl:call-template><xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="/Root/countryCode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="allowExplicitContent">
      <xsl:with-param name="this" select="allowExplicitContent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingMovies"/>
    </xsl:call-template>
    <xsl:call-template name="ratingMovies">
      <xsl:with-param name="value" select="ratingMovies/text()"/>
      <xsl:with-param name="majorversion" select="$MajorVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingTVShows"/>
    </xsl:call-template><xsl:call-template name="ratingTVShows">
      <xsl:with-param name="value" select="ratingTVShows/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowBookstoreErotica"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingApps"/>
    </xsl:call-template><xsl:call-template name="ratingApps">
      <xsl:with-param name="value" select="ratingApps/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="falseOn">
      <xsl:with-param name="bool" select="/Root/forceAssistantProfanityFilter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowAssistantUserGeneratedContent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="restrictWeb"/>
    </xsl:call-template>
    <xsl:call-template name="restrictWeb">
      <xsl:with-param name="whitelistEnabled" select="/Root/restrictWeb/whitelistEnabled"/>
      <xsl:with-param name="useContentFilter" select="/Root/restrictWeb/useContentFilter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="sign">
      <xsl:with-param name="this" select="forceITunesStorePasswordEntry"/>
    </xsl:call-template><xsl:call-template name="forceITunesStorePasswordEntry">
      <xsl:with-param name="value" select="forceITunesStorePasswordEntry/text()"/>
    </xsl:call-template><xsl:text>,</xsl:text>-->

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AccountPaidPurchasesPasswordSetting"/>
    </xsl:call-template><xsl:call-template name="AccountPaidPurchasesPasswordSetting">
      <xsl:with-param name="value" select="AccountPaidPurchasesPasswordSetting/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="AccountFreeDownloadsPasswordEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--位置情報サービス-->
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/location"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1'">
        <xsl:text></xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorization"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="Authorization"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1'">
        <xsl:text>,,,,,,,,,,,,,</xsl:text>
      </xsl:when>
    <xsl:otherwise>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/Root/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/Root/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/Root/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <!--システムサービス-->
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      <xsl:call-template name="locationAuthorization">
        <xsl:with-param name ="value" select="/Root/locationSOS"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
              <xsl:call-template name="locationAuthorization">
                <xsl:with-param name ="value" select="/Root/locationCoreTelephony8"/>
              </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/Root/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/Root/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>

    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceAddressBook"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceCalendar"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceReminders"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServicePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowFindMyFriendsModification"/>
      <xsl:with-param name="label-on">変更を許可</xsl:with-param>
      <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMicrophone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceSpeechRecognition"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceTwitter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceFacebook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/advertising"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMediaLibrary"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAccountModification"/>
      <xsl:with-param name="label-on">変更を許可</xsl:with-param>
      <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
    </xsl:call-template><xsl:text>,</xsl:text>

    <!--<xsl:call-template name="defaultOff">
    <xsl:with-param name="bool" select="allowFindMyFriendsModification"/>
    <xsl:with-param name="label-on">変更を許可</xsl:with-param>
    <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
  </xsl:call-template><xsl:text>,</xsl:text>-->
    <xsl:if test="/Root/IMEI != ''">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="allowAppCellularDataModification"/>
        <xsl:with-param name="label-on">変更を許可</xsl:with-param>
        <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	<xsl:if test="/Root/IMEI != ''">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="allowCellularPlanModification"/>
        <xsl:with-param name="label-on">変更を許可</xsl:with-param>
        <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAutomaticAppUpdatesModification"/>
      <xsl:with-param name="label-on">変更を許可</xsl:with-param>
      <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/volumeLimit"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOff">
    <xsl:with-param name="bool" select="allowTVProviderModification"/>
    <xsl:with-param name="label-on">変更を許可</xsl:with-param>
    <xsl:with-param name="label-off">変更を許可しない</xsl:with-param>
  </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="OnOff">
      <xsl:with-param name ="bool" select="/Root/allowMultiplayerGaming"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="OnOff">
      <xsl:with-param name ="bool" select="/Root/allowAddingGameCenterFriends"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name ="bool" select="/Root/allowScreenRecording"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <!--日付と時刻-->
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param name="bool" select="/Root/AppleICUForce12HourTime"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/TMAutomaticTimeZoneEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="timezone"/>
    </xsl:call-template><xsl:call-template name="TimeZone">
      <xsl:with-param name="value" select="timezone"/>
    </xsl:call-template>
    <xsl:text>""",</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DeviceDate"/>
    </xsl:call-template>
    <xsl:text>誤差時間:</xsl:text>
    <xsl:value-of select="DeviceDate/@margin"/>
    <xsl:text>秒</xsl:text>
    <xsl:text>,</xsl:text>

    <!--キーボード-->
    <xsl:for-each select="AppleKeyboards/*">
      <xsl:if test="position() &lt;= $keyboardCount">
        <xsl:call-template name="KeyBoard">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$keyboardCount - count(AppleKeyboards/*)"/>
    </xsl:call-template>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAutocorrection"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardCapsLock"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAssistant"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/allowSmartPunctuation"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="/Root/DeviceClass = 'iPad'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/RivenKeyboard" />
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/GesturesEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/KeyboardAllowPaddle"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/DictationEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="falseOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardKanaRTL"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/KeyboardKanaFlick"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAutocapitalization"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardCheckSpelling"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardPrediction"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardPeriodShortcut"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--言語と地域-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:call-template name="language2" >
      <xsl:with-param name="countrycode" select="/Root/CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/AppleLanguages/*">
      <xsl:if test="position() &lt;= $languageCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:call-template name="language2" >
          <xsl:with-param name="countrycode" select="./text()"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$languageCount - count(AppleLanguages/*)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleFormat"/>
    </xsl:call-template>
    <xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="cs:StrToLower(substring(substring-after(/Root/AppleLocaleFormat, '_'), 1, 2))"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleCalendar"/>
    </xsl:call-template><xsl:call-template name="Calender">
      <xsl:with-param name="value" select="AppleLocaleCalendar"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 10">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AppleTemperatureUnit"/>
      </xsl:call-template>
      <xsl:call-template name="TemperatureUnit">
        <xsl:with-param name="value" select="/Root/AppleTemperatureUnit"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--<xsl:variable name="fomat8">
      <xsl:call-template name="language">
        <xsl:with-param name="countrycode" select="/Root/AppleLocaleFormat"/>
      </xsl:call-template>
    </xsl:variable>-->
    <!--<xsl:if test="substring-before(/Root/AppleLocaleDetail/text(), '_') != /Root/CurrentAppleLanguage">オフ</xsl:if>
    <xsl:if test="substring-before(/Root/AppleLocaleDetail/text(), '_') = /Root/CurrentAppleLanguage">オン</xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="language2">
      <xsl:with-param name="countrycode" select="substring-before(/Root/AppleLocaleDetail/text(), '_')"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--プロファイル-->
    <xsl:for-each select="/Root/Payloads/Payload">
      <xsl:if test="position() &lt;= $payloadCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DisplayName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Organization"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$payloadCount - count(Payloads/Payload)"/>
    </xsl:call-template>
    <xsl:for-each select="/Root/ProvisioningProfiles/Profile">
      <xsl:if test="position() &lt;= $provCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Name"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TeamName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="UUID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CreationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ExpirationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop5">
      <xsl:with-param name="count" select="$provCount - count(ProvisioningProfiles/Profile)"/>
    </xsl:call-template>

    <!--画面表示と明るさ-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="SBBacklightLevel2"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/SBBacklightLevel2"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.35"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BKEnableALS"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/BlueReductionEnabledBool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BlueReductionMode"/>
    </xsl:call-template>
    <xsl:call-template name="BlueReductionMode">
      <xsl:with-param name="value" select="/Root/BlueReductionMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/BlueReductionMode = '2'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NightStart"/>
      </xsl:call-template>
      <xsl:value-of select="format-number(number(substring-before(/Root/NightStart, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/NightStart, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/BlueReductionMode = '2'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="DayStart"/>
      </xsl:call-template>
      <xsl:value-of select="format-number(number(substring-before(/Root/DayStart, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/DayStart, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BlueReductionEnabledBool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CBBlueLightReductionCCTTargetRaw"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(/Root/CBBlueLightReductionCCTTargetRaw, '0K')"/>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="maxInactivity">
      <xsl:with-param name="this" select="maxInactivity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:call-template name="UISize">
      <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:call-template name="ScreenSize">
      <xsl:with-param name="value" select="/Root/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceTriggerEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/HomeButtonAssistant"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="/Root/AssistantEnabled = 'true'">
            <xsl:call-template name="OnOff">
              <xsl:with-param name="bool" select="/Root/allowAssistantWhileLocked"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>

            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8">
                <xsl:choose>
                  <xsl:when test="/Root/AssistantLanguage8">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/Root/AssistantLanguage8"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>英語</xsl:otherwise>
                </xsl:choose>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="/Root/AssistantLanguage">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/Root/AssistantLanguage"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>日本語</xsl:otherwise>
                </xsl:choose>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>


            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8">
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/Root/AssistantGender"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/Root/AssistantGender"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>

			<xsl:choose>
              <xsl:when test="$MajorVersion &lt;= 10">
                <xsl:call-template name="HandsFreeMode" >
                  <xsl:with-param name="value" select="/Root/HandsFreeMode"/>
                </xsl:call-template>
              </xsl:when>
			  <xsl:when test="$MajorVersion &gt;= 11">
                <xsl:call-template name="SiriAudioFeedback" >
                  <xsl:with-param name="value" select="/Root/UsedevicespeakerforTTS"/>
                </xsl:call-template>
              </xsl:when>
			</xsl:choose>
            <xsl:text>,</xsl:text>
            <xsl:choose>
              <xsl:when test="/Root/AssitantMyInfo">
                <xsl:value-of select="/Root/AssitantMyInfo"/>
              </xsl:when>
              <xsl:otherwise>なし</xsl:otherwise>
            </xsl:choose>
            <!--<xsl:text>,</xsl:text>
            <xsl:call-template name="ZeroOffOneOn" >
              <xsl:with-param name="value" select="/Root/GestureServiceEnabled"/>
            </xsl:call-template>-->
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,,,,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,,,,,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <!--  Spotlight検索  -->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 9">
        <!--<xsl:call-template name="falseOn" >
          <xsl:with-param name="bool" select="/Root/DisabledSpotlightSiri"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="defaultOn" >
              <xsl:with-param name="bool" select="/Root/SpotlightSearchEnabled"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>
            <xsl:call-template name="defaultOn" >
              <xsl:with-param name="bool" select="/Root/LookupSuggestionsEnabled"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,</xsl:text>
            <xsl:text>,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:text>,</xsl:text>-->
        <xsl:text>,</xsl:text>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/Root/SuggestionsShowTopicsFoundInApps"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/Root/SuggestionsShowEventsFoundInMail"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/Root/SuggestionsShowLocationsFoundInApps"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/Root/SuggestionsShowContactsFoundInMail"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>

      <xsl:for-each select="/Root/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/Root/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="Loop2">
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 9 and $MajorVersion &lt;= 10">
      <xsl:text>,,,,</xsl:text>
      
      <xsl:for-each select="/Root/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/Root/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="Loop2">
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &lt;= 8">
      <xsl:text>,,,,</xsl:text>
      
      <xsl:for-each select="/Root/SBSearchResultsDomains/Item">
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="SBSearchResultsDomain">
            <xsl:with-param name="value" select="Domain"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="Loop2">
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResultsDomains/Item)"/>
      </xsl:call-template>
    </xsl:if>
    
    <!--パスコード-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/WasPasscodeSet"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="maxGracePeriod">
      <xsl:with-param name="this" select="maxGracePeriod"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="zeroIsOn">
      <xsl:with-param name="this" select="passcodeKeyboardComplexity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <!--<xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowVoiceDialing"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenTodayView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenNotificationsView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowLockScreenControlCenter"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAssistantWhileLocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/LockScreenMessaging"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowPassbookWhileLocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/LockScreenMessaging"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBPictureFrameEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <xsl:text>,</xsl:text>
    
    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowPassbookWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/allowOutgoingCallsWhenLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SBDeviceWipeEnabled"></xsl:with-param>
    </xsl:call-template><xsl:text>,</xsl:text>

    <!--プライバシー-->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1'">
        <xsl:text>,</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorization"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="Authorization"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1'">
        <xsl:text>,,,,,,,,,,,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/Root/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/Root/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/Root/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <!--システムサービス-->
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/DeviceClass = 'iPhone'">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>


        
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationSOS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCoreTelephony8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/Root/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/Root/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>
    
	<xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowDiagnosticSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowAppAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/AllowiCloudAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/forceLimitAdTracking"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
    <!--Store-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadMusic"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadApp"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadBook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AutoUpdatesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/IMEI != ''">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/AllowAutoDownloadOnCellular"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/AutoPlayVideoSetting"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/AutoPlayVideoSetting = 'off'">
          <xsl:text>オフ</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/AutoPlayVideoSetting = 'wifi_only'">
          <xsl:text>Wi-Fiのみ</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/AutoPlayVideoSetting = 'on'">
          <xsl:text>オン</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>オン</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/InAppReviewEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/OffloadUnusedApps"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <!--iCloud-->
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Accounts/iCloud/Username"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/EnablediCloudDrive"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/iCloudDriveApp/Application">
      <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
      <xsl:if test="position() &lt;= $iCloudAppCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="Identifier"/>
          <xsl:with-param name="device" select="/Root/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Allowed"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$iCloudAppCount - count(/Root/iCloudDriveApp/Application)"/>
    </xsl:call-template>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/dataclassesEnabledForCellular"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/cloudPhotosEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/downloadAndKeepOriginals"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/downloadAndKeepOriginals = 'true'">
        <xsl:text>オリジナルをダウンロード</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>ストレージを最適化</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudMyPhotoStream"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="falseOn">
      <xsl:with-param name="bool" select="/Root/PLPhotoStreamHidesAvalanches"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudSharePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudMailEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudContacts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudCalendars"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudReminders"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudBookmarks"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudHome"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudNotes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/iCloudWallet"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowCloudKeychainSync"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/CloudBackupEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudFindMyiPhone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/lowBatteryLocate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Accounts/iCloud/Username"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Accounts/iTunesStore/Username"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--メール-->
    <xsl:for-each select="Mail/ReceiveAccounts/Account">
      <xsl:if test="position() &lt;= $recvCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Class"/>
        </xsl:call-template>
        <xsl:call-template name="AccountType">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="mail" select="ASAccountEmailAddress"/>
          <xsl:with-param name="user" select="ASAccountUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="FullUserName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">
            <xsl:value-of select="defaultAddress" />
          </xsl:when>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:value-of select="ASAccountEmailAddress" />
          </xsl:when>
          <xsl:when test="Class = 'IMAPAccount' or Class = 'POPAccount'">
            <xsl:value-of select="EmailAddresses" />
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Username" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountHost" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameDomain" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameUsername" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="DisplayName" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Hostname" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Username" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="SMTPIdentifier" />
        <xsl:text>,</xsl:text>

        <xsl:if test="Class = 'CastleIMAPAccount'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="SMTPDisabled"/>
          </xsl:call-template>
          <xsl:call-template name="falseOndefaultOn" >
            <xsl:with-param name="bool" select="SMTPDisabled"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="SMTPAlternateIdentifiers"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="SMTPAlternateIdentifiers = ''">
            <xsl:text>なし</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers,';')" disable-output-escaping="yes"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreDraftsOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DraftsMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SentMessagesMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreTrashOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TrashMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreArchiveOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="ArchiveMessages = 'true'">
            <xsl:text>アーカイブメールボックス</xsl:text>
          </xsl:when>
          <xsl:when test="ArchiveMessages = 'false'">
            <xsl:text>削除済みメールボックス</xsl:text>
          </xsl:when>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="NumberOfDaysToKeepTrash/@empty != 'true' or not(NumberOfDaysToKeepTrash/@empty)">
          <xsl:call-template name="days2">
            <xsl:with-param name="day" select="NumberOfDaysToKeepTrash"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="ASAccountUseSSL"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="SSLEnabled"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="AuthenticationScheme" >
          <xsl:with-param name="scheme" select="AuthenticationScheme/text()"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SMIMEEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMEEncryptionEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMESigningEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$recvCount - count(Mail/ReceiveAccounts/Account)"/>
    </xsl:call-template>

    <xsl:for-each select="/Root/Mail/SendAccounts/Account">
      <xsl:if test="position() &lt;= $sendCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Hostname"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Username"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SSLEnabled"/>
          <xsl:with-param name="empty" select="@empty"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:if test="@empty != 'true' or not(@empty)">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AuthenticationScheme"/>
          </xsl:call-template>
          <xsl:call-template name="AuthenticationScheme" >
            <xsl:with-param name="scheme" select="AuthenticationScheme"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="PortNumber"/>
        </xsl:call-template>
        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,'"/>
      <xsl:with-param name="count" select="$sendCount - count(Mail/SendAccounts/Account)"/>
    </xsl:call-template>
    
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Mail/DeviceSpecificIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/PCEnablePush"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/PCDefaultPollInterval"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="/Root/Mail/PCDefaultPollInterval = ''">手動</xsl:when>
      <xsl:when test="/Root/Mail/PCDefaultPollInterval = '-1'">手動</xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Second2Time" >
          <xsl:with-param name="second" select="/Root/Mail/PCDefaultPollInterval"/>
        </xsl:call-template>
        <xsl:text>ごと</xsl:text>
      </xsl:otherwise>
    </xsl:choose><xsl:text>,</xsl:text><xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/RecentMessageCount"/>
      <xsl:with-param name="default" select="50"/>
      <xsl:with-param name="suffix" select="'件のメッセージ履歴'"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/LinesOfPreview"/>
      <xsl:with-param name="default" select="2"/>
      <xsl:with-param name="suffix" select="'行'"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ShowToCCIndicators"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/Root/Mail/RightEdgeSwipeAction"/>
	  <xsl:with-param name="dir" select="'right'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/Root/Mail/LeftEdgeSwipeAction"/>
	  <xsl:with-param name="dir" select="'left'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="FlagStyle">
      <xsl:with-param name="value" select="/Root/Mail/FlagStyle"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ShowMessageDeleteConfirmation"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/BlockRemoteImages" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="/Root/Mail/BlockRemoteImages" name="bool"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableThreading" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableThreading" name="bool"/>
    </xsl:call-template><xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/CollapseReadConversationMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ConversationViewShowsNewestAtTop"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="/Root/Mail/ConversationViewExcludesRelatedMessages" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/ConversationViewExcludesRelatedMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text><xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ReplyToSelf"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="sign">
    <xsl:with-param name="this" select="/Root/Mail/managedEmailDomains"/>
  </xsl:call-template><xsl:choose>
    <xsl:when test="/Root/Mail/managedEmailDomains = ''">
      <xsl:text>オフ</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/Root/Mail/managedEmailDomains"/>
    </xsl:otherwise>
  </xsl:choose>
  <xsl:text>,</xsl:text><xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableQuoteIncrease" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableQuoteIncrease" name="bool"/>
    </xsl:call-template><xsl:text>,</xsl:text><xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/UseAccountSignatures"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="/Root/Mail/UseAccountSignatures = 'true'">
        <xsl:text>アカウントごと</xsl:text></xsl:when>
      <xsl:otherwise>
        <xsl:text>すべてのアカウント</xsl:text></xsl:otherwise>
    </xsl:choose><xsl:text>,"=""</xsl:text><xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/SignatureKey" />
    </xsl:call-template><xsl:choose>
      <xsl:when test="/Root/Mail/SignatureKey = ''">
        <xsl:value-of select="/Root/DeviceClass"/>
        <xsl:text>から送信</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="/Root/Mail/SignatureKey"/>
      </xsl:otherwise>
    </xsl:choose><xsl:text>""",</xsl:text>
    <xsl:for-each select="/Root/Mail/ReceiveAccounts/Account[Class!='AAAccount']">
      <xsl:if test="position() &lt;= $signCount">
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">iCloud</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="DisplayName"/>
          </xsl:otherwise>
        </xsl:choose><xsl:text>""","=""</xsl:text><xsl:call-template name="sign">
          <xsl:with-param name="this" select="CustomSignature" />
        </xsl:call-template><xsl:choose>
          <xsl:when test="CustomSignature = ''">
            <xsl:choose>
              <xsl:when test="/Root/Mail/SignatureKey = ''">
                <xsl:value-of select="/Root/DeviceClass"/>
                <xsl:text>から送信</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="/Root/Mail/SignatureKey"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="CustomSignature"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,'"/>
      <xsl:with-param name="count" select="$signCount - count(Mail/ReceiveAccounts/Account[Class!='AAAccount'])"/>
    </xsl:call-template>"=""<xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/DefaultSendingAccount"/>
    </xsl:call-template><xsl:value-of select="Mail/DefaultSendingAccount"/>"""<xsl:text>,</xsl:text>
    <xsl:for-each select="Applications/Application">
      <xsl:if test="position() &lt;= $appCount">
        <xsl:choose>
          <xsl:when test="Page = '-1'">ドック</xsl:when>
          <xsl:otherwise>
            <xsl:text>ホーム画面</xsl:text><xsl:value-of select="number(Page) + 1"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="Folder">
          <xsl:text>(</xsl:text>
          <xsl:value-of select="Folder" />
          <xsl:text>)</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Title">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Title"/>
            </xsl:call-template>
            <xsl:value-of select="Title" />
          </xsl:when>
          <xsl:when test="DefaultApp">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleIdentifier"/>
            </xsl:call-template>
            <xsl:call-template name="DefaultApp">
              <xsl:with-param name="appID" select="CFBundleIdentifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleDisplayName"/>
            </xsl:call-template>
            <xsl:value-of select="CFBundleDisplayName" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleVersion"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleVersion" />
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleShortVersionString"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleShortVersionString" />
        <xsl:text>""",</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CFBundleIdentifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="URL"/>
        </xsl:call-template>
        <xsl:value-of select="URL" />
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,'"/>
      <xsl:with-param name="count" select="$appCount - count(Applications/Application)"/>
    </xsl:call-template>

    <xsl:for-each select="/Root/Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)]">
      <xsl:if test="position() &lt;= $bookmarkCount">
        <xsl:call-template name="BookMark">
          <xsl:with-param name="bm" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,'"/>
      <xsl:with-param name="count" select="$bookmarkCount - count(Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)])"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Safari/HasHistory"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="Safari/HasHistory = 'true'">あり</xsl:when>
      <xsl:otherwise>なし</xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:if test="Safari/HasHistory/@match">[閲覧履歴なし]</xsl:if>


  </xsl:template>

  <xsl:template name="sign">
    <xsl:param name="this"/>
    <!--<xsl:choose>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'true'">[○]</xsl:when>
      <xsl:when test="$this/@match = 'false'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'extra'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'short'">[×]</xsl:when>
    </xsl:choose>-->
  </xsl:template>

  <!--設定値がない時空白になる-->
  <xsl:template name="OnOff">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!--設定値がない時オフになる-->
  <xsl:template name="defaultOff">
    <xsl:param name="bool"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:param name="empty">false</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true' or $bool = '1'">
        <xsl:value-of select="$label-on"/>
      </xsl:when>
      <xsl:when test="not($bool) or $empty = 'true'"></xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-off"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--設定値がない時オンになる-->
  <xsl:template name="defaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>オン</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOn">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>オフ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOff">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="$bool = 'true'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:otherwise>オフ</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="$bool = 'true'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:when test="not($bool)"></xsl:when>
      <xsl:otherwise>
        <xsl:text>オン</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="zeroIsOn">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='0'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>
        <xsl:text>オフ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="specifiedefSuffix">
    <xsl:param name="this"/>
    <xsl:param name="default"/>
    <xsl:param name="suffix" />
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this = ''">
        <xsl:value-of select="$default"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$this"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:value-of select="$suffix"/>
  </xsl:template>

  <xsl:template name="text">
    <xsl:param name="this"/>
    <xsl:text>"=""</xsl:text>
    <xsl:choose>
      <xsl:when test="$this/@unique = 'false'">[×重複]</xsl:when>
      <xsl:when test="$this/@match = 'true' and ( not($this/@unique) or $this/@unique = 'true')">
        <xsl:text>[○</xsl:text>
        <xsl:if test="$this/@unique = 'true'">重複なし</xsl:if>
        <xsl:text>]</xsl:text>
      </xsl:when>
      <xsl:when test="not($this/@match) and $this/@unique = 'true'">[○重複なし]</xsl:when>
      <xsl:when test="$this/@match = 'false'">[×]</xsl:when>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'extra'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'short'">[×]</xsl:when>
    </xsl:choose><xsl:value-of select="$this/text()"/>
    <xsl:text>"""</xsl:text>
  </xsl:template>


  <xsl:template name="MailBoxPlaces">
    <xsl:param name="value"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$value"/>
    </xsl:call-template>
    <xsl:call-template name="MailBoxPlace">
      <xsl:with-param name="value" select="$value"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="BookMark">
    <xsl:param name="bm"/>
    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Folder"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="Special = 'true' and Folder = 'BookmarksBar'">ブックマークバー</xsl:when>
      <xsl:when test="Special = 'true' and Folder = 'com.apple.ReadingList'">リーディングリスト</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="Folder"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>""",</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="Title"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="URL"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
  </xsl:template>


  <xsl:template name="maxInactivity">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='0'">しない</xsl:when>
      <xsl:when test="$this/text()=''">しない</xsl:when>
      <xsl:when test="$this/text()='2147483647'">しない</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="number($this) div 60"/><xsl:text>分</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="maxGracePeriod">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:call-template name="min2hour">
      <xsl:with-param name="min" select="$this/text()"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="allowExplicitContent">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='true'">不適切な内容</xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>クリーン</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="SBParentalControlsCapabilities">
    <xsl:param name="capability"/>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$capability"/>
    </xsl:call-template>
    <xsl:call-template name="disallow">
      <xsl:with-param name="value" select="$capability"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="KeyBoard">
    <xsl:param name="this"/>
    <xsl:call-template name="sign" >
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template>
    <xsl:if test="contains($this/text(), '@')">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="substring-before($this/text(),'@')"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <xsl:if test="not(contains($this/text(), '@'))">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="$this/text()"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <xsl:if test="not(starts-with($this/text(),'emoji')) and not(starts-with($this/@master,'emoji'))">
      <xsl:call-template name="keyboard_sw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <!--<xsl:if test="contains($this/text(),'hw=') or contains($this/@master,'hw=')">
      <xsl:call-template name="keyboard_hw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>-->
    <!--<xsl:if test="starts-with($this/text(),'ja_JP-Kana')">
      <xsl:if test="contains($this/text(),'-Flick')">
        <xsl:text>フリックのみ </xsl:text>
      </xsl:if>
      <xsl:if test="not(contains($this/text(),'-RTL'))">
        <xsl:text>あ行が左</xsl:text>
      </xsl:if>
    </xsl:if>-->
    <xsl:text>,</xsl:text>
  </xsl:template>

</xsl:stylesheet>