<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionRestrict2">

    <xsl:if test="/RESULT/SBParentalControlsEnabled = 'true'">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceAddressBook'" />
        <xsl:with-param name="title4" select="'連絡先'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceAddressBook" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceCalendar'" />
        <xsl:with-param name="title4" select="'カレンダー'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceCalendar" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceReminders'" />
        <xsl:with-param name="title4" select="'リマインダー'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceReminders" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServicePhotos'" />
        <xsl:with-param name="title4" select="'写真'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServicePhotos" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 8">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowFindMyFriendsModification'" />
          <xsl:with-param name="title4" select="'自分の位置情報を共有'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowFindMyFriendsModification" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1">変更を許可</xsl:with-param>
          <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
        </xsl:call-template>
      </xsl:if>
      
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral'" />
        <xsl:with-param name="title4" select="'Bluetooth共有'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceMicrophone'" />
          <xsl:with-param name="title4" select="'マイク'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceMicrophone" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceSpeechRecognition'" />
          <xsl:with-param name="title4" select="'音声認識'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceSpeechRecognition" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>
      </xsl:if>

      <!--<xsl:if test="/RESULT/DeviceClass = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceTwitter'" />
          <xsl:with-param name="title4" select="'Twitter'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceTwitter" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceFacebook'" />
          <xsl:with-param name="title4" select="'Facebook'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceFacebook" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>
      </xsl:if>-->

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/advertising'" />
          <xsl:with-param name="title4" select="'広告'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/advertising" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceMediaLibrary'" />
          <xsl:with-param name="title4">
            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 11">
                <xsl:text>メディアとApple Music</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>メディアライブラリ</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/kTCCServiceMediaLibrary" />
          <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAccountModification'" />
        <xsl:with-param name="title3" select="'変更の許可'" />
        <xsl:with-param name="title4" select="'アカウント'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowAccountModification" />
        <xsl:with-param name="template" select="'defaultOff'"/>
        <xsl:with-param name="param1">変更を許可</xsl:with-param>
        <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &lt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowFindMyFriendsModification'" />
          <xsl:with-param name="title4" select="'友達を検索'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowFindMyFriendsModification" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1">変更を許可</xsl:with-param>
          <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowAppCellularDataModification'" />
		  <xsl:with-param name="title4">
		    <xsl:if test="$MajorVersion &lt;= 10"><xsl:text>モバイルデータ通信の使用</xsl:text></xsl:if>
			<xsl:if test="$MajorVersion &gt;= 11"><xsl:text>モバイルデータ通信</xsl:text></xsl:if>
		  </xsl:with-param>
		  <xsl:with-param name="title5">
		    <xsl:if test="$MajorVersion &gt;= 11"><xsl:text>モバイル通信</xsl:text></xsl:if>
		  </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/allowAppCellularDataModification" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1">変更を許可</xsl:with-param>
          <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
        </xsl:call-template>

		<xsl:if test="$MajorVersion &gt;= 11">
         <xsl:call-template name="settingtable">
           <xsl:with-param name="id" select="'allowCellularPlanModification'" />
           <xsl:with-param name="title5" select="'モバイル通信プラン'" />
           <xsl:with-param name="valueNode" select="/RESULT/allowCellularPlanModification" />
           <xsl:with-param name="template" select="'defaultOff'"/>
           <xsl:with-param name="param1">変更を許可</xsl:with-param>
           <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
         </xsl:call-template>
        </xsl:if>
	  
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowAutomaticAppUpdatesModification'" />
          <xsl:with-param name="title4" select="'Appのバックグラウンド更新'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowAutomaticAppUpdatesModification" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1">変更を許可</xsl:with-param>
          <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/volumeLimit'" />
        <xsl:with-param name="title4" select="'音量制限'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/volumeLimit" />
        <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowTVProviderModification'" />
          <xsl:with-param name="title4" select="'TVプロバイダ'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowTVProviderModification" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1">変更を許可</xsl:with-param>
          <xsl:with-param name="param2">変更を許可しない</xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowMultiplayerGaming'" />
        <xsl:with-param name="title3" select="'Game Center'" />
        <xsl:with-param name="title4" select="'マルチプレイヤー'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowMultiplayerGaming" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAddingGameCenterFriends'" />
        <xsl:with-param name="title4" select="'友達の追加'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowAddingGameCenterFriends" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowScreenRecording'" />
          <xsl:with-param name="title4" select="'画面収録'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowScreenRecording" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>
      </xsl:if>
      
    </xsl:if>




  </xsl:template>

</xsl:stylesheet>