<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="Section004">
    
    <!--<xsl:if test="$MajorVersion &gt;= 9">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DataCapacity2'" />
        <xsl:with-param name="title2" select="'ストレージとiCloudの使用状況'" />
        <xsl:with-param name="title3" select="'ストレージ'" />
        <xsl:with-param name="title4" select="'使用済み'" />
        <xsl:with-param name="value">
          <xsl:value-of select="''"/>GB
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AmountDataAvailable'" />
        <xsl:with-param name="title4" select="'使用可能'" />
        <xsl:with-param name="value">
          <xsl:value-of select="format-number(floor(/Root/AmountDataAvailable div 1024 * 10) div 10, '####.0')"/>GB
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>-->
    
    <xsl:if test="$MajorVersion &gt;= 7">
<xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAutomaticAppUpdates'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/allowAutomaticAppUpdates" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
	  </xsl:if>
	  <xsl:if test="$MajorVersion &gt;= 11">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAutomaticAppUpdates2'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/allowAutomaticAppUpdates2" />
        <xsl:with-param name="value">
          <xsl:call-template name="AppUpdate">
            <xsl:with-param name="value" select="/Root/allowAutomaticAppUpdates2"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      </xsl:if>

      <xsl:for-each select="/Root/KeepAppsUpToDateAppList/Item">
        <xsl:sort select="cs:GetAppName(App, /Root/DeviceClass, /Root/Applications)"/>
        <!--並び替え前の位置を取得-->
        <xsl:variable name="id" select="App"/>
        <xsl:variable name="pos" select="count(/Root/KeepAppsUpToDateAppList/Item[./App = $id]/preceding-sibling::*)+1"/>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('KeepAppsUpToDateAppList/Item_', $pos, '/Value')" />
          <xsl:with-param name="title3">
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="App"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Value" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>
      </xsl:for-each>
    </xsl:if>

    <xsl:if test="$MajorVersion &lt;= 9">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'maxInactivity'" />
        <xsl:with-param name="title2" select="'自動ロック'" />
        <xsl:with-param name="valueNode" select="/Root/maxInactivity" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/maxInactivity/text()='0'">
              <xsl:text>しない</xsl:text>
            </xsl:when>
            <xsl:when test="/Root/maxInactivity/text()=''">
              <xsl:text>しない</xsl:text>
            </xsl:when>
            <xsl:when test="/Root/maxInactivity/text()='2147483647'">
              <xsl:text>しない</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="number(/Root/maxInactivity) div 60"/><xsl:text>分</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


  </xsl:template>

</xsl:stylesheet>