<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionRestrict2">

    <xsl:if test="/Root/SBParentalControlsEnabled = 'true'">
      
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceAddressBook'" />
        <xsl:with-param name="title4" select="'連絡先'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceAddressBook" />
        <xsl:with-param name="value">
          <xsl:call-template name ="disallowModification">
            <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceAddressBook"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceCalendar'" />
        <xsl:with-param name="title4" select="'カレンダー'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceCalendar" />
        <xsl:with-param name="value">
          <xsl:call-template name ="disallowModification">
            <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceCalendar"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceReminders'" />
        <xsl:with-param name="title4" select="'リマインダー'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceReminders" />
        <xsl:with-param name="value">
          <xsl:call-template name ="disallowModification">
            <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceReminders"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServicePhotos'" />
        <xsl:with-param name="title4" select="'写真'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServicePhotos" />
        <xsl:with-param name="value">
          <xsl:call-template name ="disallowModification">
            <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServicePhotos"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 8">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowFindMyFriendsModification'" />
          <xsl:with-param name="title4" select="'自分の位置情報を共有'" />
          <xsl:with-param name="valueNode" select="/Root/allowFindMyFriendsModification" />
          <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowFindMyFriendsModification"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>
      
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral'" />
        <xsl:with-param name="title4" select="'Bluetooth共有'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral" />
        <xsl:with-param name="value">
          <xsl:call-template name ="disallowModification">
            <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceMicrophone'" />
          <xsl:with-param name="title4" select="'マイク'" />
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceMicrophone" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceMicrophone"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceSpeechRecognition'" />
          <xsl:with-param name="title4" select="'音声認識'" />
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceSpeechRecognition" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceSpeechRecognition"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <!--<xsl:if test="/Root/DeviceClass = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceTwitter'" />
          <xsl:with-param name="title4" select="'Twitter'" />
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceTwitter" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceTwitter"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceFacebook'" />
          <xsl:with-param name="title4" select="'Facebook'" />
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceFacebook" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceFacebook"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>-->

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/advertising'" />
          <xsl:with-param name="title4" select="'広告'" />
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/advertising" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/advertising"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBParentalControlsCapabilities/kTCCServiceMediaLibrary'" />
          <xsl:with-param name="title4">
            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 11">
                <xsl:text>メディアとApple Music</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>メディアライブラリ</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/kTCCServiceMediaLibrary" />
          <xsl:with-param name="value">
            <xsl:call-template name ="disallowModification">
              <xsl:with-param name="value" select="/Root/SBParentalControlsCapabilities/kTCCServiceMediaLibrary"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAccountModification'" />
        <xsl:with-param name="title3" select="'変更の許可'" />
        <xsl:with-param name="title4" select="'アカウント'" />
        <xsl:with-param name="valueNode" select="/Root/allowAccountModification" />
        <xsl:with-param name="value">
          <xsl:call-template name ="allowModification">
            <xsl:with-param name="value" select="/Root/allowAccountModification"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &lt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowFindMyFriendsModification'" />
          <xsl:with-param name="title4" select="'友達を検索'" />
          <xsl:with-param name="valueNode" select="/Root/allowFindMyFriendsModification" />
          <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowFindMyFriendsModification"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 7">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowAppCellularDataModification'" />
          <xsl:with-param name="title4">
		    <xsl:if test="$MajorVersion &lt;= 10"><xsl:text>モバイルデータ通信の使用</xsl:text></xsl:if>
			<xsl:if test="$MajorVersion &gt;= 11"><xsl:text>モバイルデータ通信</xsl:text></xsl:if>
		  </xsl:with-param>
		  <xsl:with-param name="title5">
		    <xsl:if test="$MajorVersion &gt;= 11"><xsl:text>モバイル通信</xsl:text></xsl:if>
		  </xsl:with-param>
          <xsl:with-param name="valueNode" select="/Root/allowAppCellularDataModification" />
          <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowAppCellularDataModification"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
		
		<xsl:if test="$MajorVersion &gt;= 11">
         <xsl:call-template name="settingtable">
           <xsl:with-param name="id" select="'allowCellularPlanModification'" />
           <xsl:with-param name="title5" select="'モバイル通信プラン'" />
           <xsl:with-param name="valueNode" select="/Root/allowCellularPlanModification" />
           <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowCellularPlanModification"/>
            </xsl:call-template>
          </xsl:with-param>
         </xsl:call-template>
        </xsl:if>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowAutomaticAppUpdatesModification'" />
          <xsl:with-param name="title4" select="'Appのバックグラウンド更新'" />
          <xsl:with-param name="valueNode" select="/Root/allowAutomaticAppUpdatesModification" />
          <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowAutomaticAppUpdatesModification"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBParentalControlsCapabilities/volumeLimit'" />
        <xsl:with-param name="title4" select="'音量制限'" />
        <xsl:with-param name="valueNode" select="/Root/SBParentalControlsCapabilities/volumeLimit" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/SBParentalControlsCapabilities/volumeLimit/text() = 'true'">
              変更を許可しない
            </xsl:when>
            <xsl:otherwise>
              変更を許可
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowTVProviderModification'" />
          <xsl:with-param name="title4" select="'TVプロバイダ'" />
          <xsl:with-param name="valueNode" select="/Root/allowTVProviderModification" />
          <xsl:with-param name="value">
            <xsl:call-template name ="allowModification">
              <xsl:with-param name="value" select="/Root/allowTVProviderModification"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowMultiplayerGaming'" />
        <xsl:with-param name="title3" select="'GAME CENTER'" />
        <xsl:with-param name="title4" select="'マルチプレイヤー'" />
        <xsl:with-param name="valueNode" select="/Root/allowMultiplayerGaming" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowAddingGameCenterFriends'" />
        <xsl:with-param name="title4" select="'友達の追加'" />
        <xsl:with-param name="valueNode" select="/Root/allowAddingGameCenterFriends" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowScreenRecording'" />
          <xsl:with-param name="title4" select="'画面収録'" />
          <xsl:with-param name="valueNode" select="/Root/allowScreenRecording" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>
      </xsl:if>
      
      
    </xsl:if>




  </xsl:template>

</xsl:stylesheet>